import {
    goodsNameSchema,
    goodsDescriptionSchema,
    goodsFullDescriptionSchema
} from "./Schemas/goodsValidationSchemas";

const Joi = require('joi');


const createGoodsValidation = values => {

    const errors = {};
    const {
        goodsName,
        goodsDescription,
        goodsFullDescription
    } = values;

    console.log(values);



    Joi.validate({
        goodsName: goodsName
    }, goodsNameSchema, (err) => {
        err && (
            errors.goodsName
                = "Допустимое количество символов от 5 до 30 (Только киррилица)"
        );
    });

    Joi.validate({
        goodsDescription: goodsDescription
    }, goodsDescriptionSchema, (err) => {
        err && (
            errors.goodsDescription
                = "Допустимое количество символов от 5 до 20 (Только киррилица)"
        );
    });

    Joi.validate({
        goodsFullDescription: goodsFullDescription
    }, goodsFullDescriptionSchema, (err) => {
        err && (
            errors.goodsFullDescription
                = "Допустимое количество символов от 20 до 200 (Только киррилица)"
        );
    });



    return errors;
};


export default createGoodsValidation;